class AddItems < ActiveRecord::Migration[6.0]
  def self.up
    create_table :items do |t|
      t.string :title
      t.string :ref_id
      t.string :date
      t.string :href
      t.string :slug
      t.references :collection, null: false, foreign_key: true

      t.timestamps
    end

    add_index :items, :slug, :unique => true
  end

  def self.down
    drop_table :items
  end
end
