# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)

require 'json'

j = JSON.parse(File.read("#{Dir.home}/collections-as-data/newildlife/newildlife.json"))

Collection.create(name: j['name'], alias: j['alias'])

j['items'].each do |item|
  Collection.find_by(alias: j['alias']).items.create(title: item['title'], date: item['date'], href: item['href'], ref_id: item['ref_id'])

  item['pages'].each do |page|
    Item.find_by(ref_id: item['ref_id']).pages.create(title: page['title'], number: page['number'], ocr: page['ocr'], href: page['href'])
  end
end
