# Catamount

Catamount is a proof-of-concept Rails application for building services around Collections as Data at the [Penn State University Libraries](https://libraries.psu.edu).

## Requirements

Catamount is built on:

* Ruby 2.6.5
* Rails 6.0.2.1
* PostgreSQL 12.2
* Bootstrap 4.4.1

Catamount ships with the [friendly_id](https://github.com/norman/friendly_id) gem, which it uses to make more human-readable URLs for collections and items.

## Universal Viewer

Catamount ships with the [Universal Viewer](https://universalviewer.io). Universal Viewer consumes IIIF manifests from [our CONTENTdm instance](https://digital.libraries.psu.edu), where available, and makes the resulting images and metadata available alongside transcriptions of the original text. This allows users who do not intend to perform computational analysis of a text corpus to still interact with the transcripts in a meaningful way.

Universal Viewer is available in the `app/assets/javascripts` directory of the application; it is not installed using npm, as Bootstrap is. Catamount runs on uv-3.0.16.

## Setup

* Clone the repository
* Run `bundle install`
* Run `rake db:*` to set up the database

You'll need to set `POSTGRES_USER` and `POSTGRES_PWD` environment variables for logging in to postgres, if you need credentials.

## Wait, isn't "catamount" Vermont's mascot?

"Catamount" is a cool name for a mountain lion no matter who uses it

## Contact

kmc35 at psu dot edu
